Route a work order to a single provider (user).
Route a work order to a single provider (user). Use acting_user_id when routing on behalf of another user, and async=true for async mode.
access_token OAuth 2.0 Access Token
In: query
Work Order ID
Asynchronous
true | falseapplication/json
Route request payload (assignee/user information)
TypeScript Definitions
Use the request body type in TypeScript.
curl -X POST "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/route" \ -H "Content-Type: application/json" \ -d '{ "technician": { "id": 101010 } }'{
"id": 123
}{
"status": 400,
"message": "Validation failed: field 'title' is required"
}{
"status": 500,
"message": "Operation successful."
}{
"status": 403,
"message": "You do not have permission to access this work order"
}{
"status_code": 404,
"message": "Work order not found"
}{
"status": 500,
"message": "An unexpected error occurred. Please try again later or contact support."
}{
"status": 500,
"message": "Operation successful."
}application/json
application/json
application/json
application/json
application/json
application/json
application/json
Last updated on
Work order Technician ID